.nav__main {
    background: rgba(37, 37, 37, 0.93);
    margin-top: -100vh;
    padding-top: 30px;
    position: fixed;
    width: 100vw;
    z-index: 1;

    transition: all 0.28s ease-in-out;

    @include from($medium) {
        background: rgba(37, 37, 37, 0.9);
        margin-top: 0;
        height: 100vh;
        padding-top: 60px;
        width: 30%;
        z-index: 0;
    }

    @include from($large) {
        width: 27%;
    }
}

.menu {
    display: flex;
    flex-direction: column;
    padding: 0;
    width: 100%;
}

.menu__link {
    text-decoration: none;
    color: whitesmoke;
    padding: 10px;
    text-align: center;

    transition: all 0.23s ease-in-out;

    &:hover {
        background-color: rgba(36, 36, 36, 0.93);
        color: rgb(165, 165, 165);
    }

    @include from($medium) {
        text-align: left;
        padding-left: 20px;
        font-size: large;
    }
}

.menu__link i {
   color: white;
   display: none;

   @include from($medium) {
       display: inline;
       margin-right: 5px;
   }
}

.menu hr {
    border: 1px solid rgb(63, 63, 63);
    display: none;
    width: 85%;

    @include from($medium) {
        display: block;
    }
}

.active {
    color: rgb(134, 134, 134);
    background-color: rgb(34, 34, 34);
}

.show {
    margin-top: 0;
}